Name:           trustyrc
Version:        0.1.4
Release:        5%{?dist}
Summary:        Fully modular IRC robot

Group:          Applications/Internet
License:        GPLv3+
URL:            http://nicoleau.fabien.free.fr/weblog/?pages/trustyRC
Source0:        http://nicoleau.fabien.free.fr/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} 
BuildRequires:  tinyxml-devel, libcurl-devel
%else if 0%{?rhel}
BuildRequires:  curl-devel
%endif
Obsoletes:      %{name}-plugins <= 0.1.2
Obsoletes:      %{name}-plugins-extras <= 0.1.2
Provides:       %{name}-plugins = %{version}-%{release}
Provides:       %{name}-plugins-extras = %{version}-%{release}

%description
trustyRC is a fully modular IRC robot which includes all of the common
bot features (channel moderation, administration, account system, quotes)
and much more.  trustyRC is comprised of a kernel and a plugin loader
which loads features such as a log system, configuration parser,
networking, etc.  All plugins can communicate with others,
providing a highly flexible system.

A plugin can be loaded or unloaded while the bot is running,
so if a plugin needs to be updated, it can be unloaded,
rebuilt and reloaded.  During this, the bot does not need to be stopped.
Plugins are stored in shared libraries; a plugin's features are available
to the bot when the plugin is loaded and those features are removed
when the plugin is unloaded.

%prep
%setup -q
sed -i -e '175d' src/plugins/usersinfos.cpp

%build
CXXFLAGS="${CXXFLAGS:-%optflags}"
export CXXFLAGS
%if 0%{?fedora}
make %{?_smp_mflags} PREFIX=%{_prefix} PLUGINSDIR=%{_libdir}/%{name} HAVE_TINYXML=yes
%else if 0%{?rhel}
make %{?_smp_mflags} PREFIX=%{_prefix} PLUGINSDIR=%{_libdir}/%{name} HAVE_TINYXML=no
%endif


%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?fedora}
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} PLUGINSDIR=%{_libdir}/%{name} HAVE_TINYXML=yes
%else if 0%{?rhel}
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} PLUGINSDIR=%{_libdir}/%{name} HAVE_TINYXML=no
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING FEATURES README HOWTO.plugins 
%doc code_documentation %{name}.conf.sample
%{_libdir}/%{name}
%{_bindir}/%{name}

%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-5
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Feb 13 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.4-3
- sed code to remove a unused variable
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Sat Aug 16 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.4-1
- Update to 0.1.4
- Manage EPEL build
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Fri Mar 27 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.3-1
- Rebuild for 0.1.3
- No more sub packages
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Sep 28 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.2-1
- rebuild for 0.1.2
* Fri Jun 27 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.1-2
- Change buildrequires for curl (only on plugins-extras)
- Licence update
- non-macro usage for sed
- english corrections
- compiler flags set
* Sat Jun 21 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.1-1
- Initital build
